> For the complete documentation index, see [llms.txt](https://developers.alephee.com/v2/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developers.alephee.com/v2/accounts/get-methods/login-token/business-rules.md).

# Business rules

1. For module: Aleph B2B portal.\
   a. If the account/customer does not have any B2B portal with Alephee, this endpoint will be useless.\
   b. If the email address of the given user does NOT match any user associated with the account, this will result in an authentication failure.\
   c. If the given user email address does not belong to the account/customer active list of users, this will result in an authentication failure.\
   d. If the given user email address match and user that is inactive or deleted, this will result in an authentication failure.\
   e. If the given user email address match and user that is inactive or deleted, this will result in an authentication failure.\
   f. The returned URL contains the customer’s B2B portal fully qualified domain name (FQDN).


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://developers.alephee.com/v2/accounts/get-methods/login-token/business-rules.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
